aboutsummaryrefslogtreecommitdiff
path: root/usr
diff options
context:
space:
mode:
Diffstat (limited to 'usr')
-rwxr-xr-xusr/share/ddtools/dhcpd-control.sh5
-rw-r--r--usr/share/doc/ddtools/README.txt1
2 files changed, 5 insertions, 1 deletions
diff --git a/usr/share/ddtools/dhcpd-control.sh b/usr/share/ddtools/dhcpd-control.sh
index e10aaa9..843e79a 100755
--- a/usr/share/ddtools/dhcpd-control.sh
+++ b/usr/share/ddtools/dhcpd-control.sh
@@ -418,7 +418,10 @@ trap "clean_dhcpdcontrol" 0
#sed -n -r -e '/\{/,/^\}/{p}' /var/lib/dhcpd/dhcpd.leases | grep -iE "\{|\}|client-fqdn|hostname|hardware|starts|ends" | sed -e ':a;/\}/!{N;s/\n/ /;ba};' -e 's/\s\+/ /g;' -e 's/hardware ethernet/mac/;' | awk '!x[$13]++' | sort -k2
sed -n -r -e '/\{/,/^\}/{p}' "${DHCPD_CONTROL_LEASES_FILE}" | grep -iE "\{|\}|client-fqdn|hostname|hardware|starts|ends" | sed -e ':a;/\}/!{N;s/\n/ /;ba};' -e 's/\s\+/ /g;' -e 's/hardware ethernet/mac/;' | grep -viE "failover peer" | awk '!x[$13]++' | sort -k2
;;
-
+ *)
+ ferror "Gotta say unh! Action ${action} ${fallopts} not yet implemented. Aborted."
+ exit 1
+ ;;
esac
# Prepare instructions for other server
diff --git a/usr/share/doc/ddtools/README.txt b/usr/share/doc/ddtools/README.txt
index 2dcb55c..ae6ac85 100644
--- a/usr/share/doc/ddtools/README.txt
+++ b/usr/share/doc/ddtools/README.txt
@@ -49,3 +49,4 @@ $ updatezone ipa.smith122.com ad.smith122.com
2017-10-14 B Stack <bgstack15@gmail.com> 0.0-3
- Rearranged directory structure to match current standards
+- Added bash autocompletion definition for updatezone
bgstack15